//modified by Jing Yang after 7/6/2001
#ifndef CInterRingDimClusterTree_H
#define CInterRingDimClusterTree_H

#include <xmdv/InterRing/CInterRingClusterTree.h>

//start_jing_reorder
enum ORDER_TYPE{ 
	PCA,
	RANDOM_SWAP,
    NO_ORDER,
};
//end_jing_reorder

class CInterRingDimClusterTree : public CInterRingClusterTree
{
public:
//start_jing_reorder
    ORDER_TYPE order_type;
//end_jing_reorder

public:
	CInterRingDimClusterTree();
	~CInterRingDimClusterTree();
	
	//build the dim cluster tree according to a file;
	//fname: name of the file;
    bool BuildInterRingDimClusterTreeFromFile(const char* fname);
	
    void ResetNames();

    void PCA();

    void ResetSelection();

};

#endif

